summaryrefslogtreecommitdiff
path: root/t/silent-f77.sh
diff options
context:
space:
mode:
authorStefano Lattarini <stefano.lattarini@gmail.com>2012-11-07 20:39:19 +0100
committerStefano Lattarini <stefano.lattarini@gmail.com>2012-11-07 21:13:59 +0100
commitdd3fb7edb9639ae5c22c5fc0cfcd8d053f6c1688 (patch)
treea82044a54efc304e12ce4a36090a90cef3c19078 /t/silent-f77.sh
parent7dbf3d6acb8d3281140cb7958c4937d33e3e53ef (diff)
downloadautomake-dd3fb7edb9639ae5c22c5fc0cfcd8d053f6c1688.tar.gz
tests: rename few tests (on silent-rules support)
Either to more informative names, or to names more consistent with the ones of similar/related tests. * t/silent.sh: Rename ... * t/silent-c-generic.sh: ... like this, and adjust heading comments. * t/silent2.sh: Rename ... * t/silent-c-gcc.sh: ... like this, and adjust heading comments. * t/silent3.sh: Rename ... * t/silent-lt-generic.sh: ... like this, and adjust heading comments. * t/silent4.sh: Rename ... * t/silent-lt-gcc.sh: ... like this, and adjust heading comments. * t/silentcxx.sh: Rename ... * t/silent-cxx-generic.sh: ... like this, and adjust heading comments. * t/silentcxx-gcc.sh: Rename ... * t/silent-cxx-gcc.sh: ... like this, and adjust heading comments. * t/silentf77.sh: Rename ... * t/silent-f77.sh: ... like this, and adjust heading comments. * t/silentf90.sh: Rename ... * t/silent-f90.sh: ... like this, and adjust heading comments. * t/silent7.sh: Rename ... * t/silent-gen.sh: ... like this, and adjust heading comments. * t/silent6.sh: Rename ... * t/silent-custom.sh: ... like this. * t/silent8.sh: Rename ... * t/silent-texi.sh: ... like this. * t/list-of-tests.mk: Adjust. Signed-off-by: Stefano Lattarini <stefano.lattarini@gmail.com>
Diffstat (limited to 't/silent-f77.sh')
-rwxr-xr-xt/silent-f77.sh91
1 files changed, 91 insertions, 0 deletions
diff --git a/t/silent-f77.sh b/t/silent-f77.sh
new file mode 100755
index 000000000..24bc93706
--- /dev/null
+++ b/t/silent-f77.sh
@@ -0,0 +1,91 @@
+#!/bin/sh
+# Copyright (C) 2010-2012 Free Software Foundation, Inc.
+#
+# This program is free software; you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation; either version 2, or (at your option)
+# any later version.
+#
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+# GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License
+# along with this program. If not, see <http://www.gnu.org/licenses/>.
+
+# Check silent-rules mode for Fortran 77.
+# Keep this ins sync with the sister test 'silent-f90.sh'.
+
+required=fortran77
+. test-init.sh
+
+mkdir sub
+
+cat >>configure.ac <<'EOF'
+AC_PROG_F77
+AC_CONFIG_FILES([sub/Makefile])
+AC_OUTPUT
+EOF
+
+cat > Makefile.am <<'EOF'
+# Need generic and non-generic rules.
+bin_PROGRAMS = foo1 foo2
+foo1_SOURCES = foo.f
+foo2_SOURCES = $(foo1_SOURCES)
+foo2_FFLAGS = $(AM_FFLAGS)
+SUBDIRS = sub
+EOF
+
+cat > sub/Makefile.am <<'EOF'
+AUTOMAKE_OPTIONS = subdir-objects
+# Need generic and non-generic rules.
+bin_PROGRAMS = bar1 bar2
+bar1_SOURCES = bar.f
+bar2_SOURCES = $(bar1_SOURCES)
+bar2_FFLAGS = $(AM_FFLAGS)
+EOF
+
+cat > foo.f <<'EOF'
+ program foo
+ stop
+ end
+EOF
+cp foo.f sub/bar.f
+
+$ACLOCAL
+$AUTOMAKE --add-missing
+$AUTOCONF
+
+./configure --enable-silent-rules
+$MAKE >stdout || { cat stdout; exit 1; }
+cat stdout
+# Avoid spurious failures with SunStudio Fortran compilers.
+sed '/^NOTICE:/d' stdout > t
+mv -f t stdout
+cat stdout
+
+$EGREP ' (-c|-o)' stdout && exit 1
+grep 'mv ' stdout && exit 1
+
+grep 'F77 .*foo\.' stdout
+grep 'F77 .*bar\.' stdout
+grep 'F77LD .*foo1' stdout
+grep 'F77LD .*bar1' stdout
+grep 'F77LD .*foo2' stdout
+grep 'F77LD .*bar2' stdout
+
+$EGREP '(FC|FCLD) ' stdout && exit 1
+
+# Ensure a clean rebuild.
+$MAKE clean
+
+$MAKE V=1 >stdout || { cat stdout; exit 1; }
+cat stdout
+
+grep ' -c ' stdout
+grep ' -o ' stdout
+
+$EGREP '(F77|FC|LD) ' stdout && exit 1
+
+: